Subject: bug#10491: closed (Re: bug#10491: unread-char and eof)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 18 Jan 2012 01:09:02 +0000

Your bug report

#10491: unread-char and eof

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
10491: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10491
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#10491: unread-char and eof
From: Daniel Hartwig <[email-masked]>
To: [email-masked]
Date: Wed, 18 Jan 2012 09:07:31 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On 18 January 2012 08:57, Aleix Conchillo Flaqué <[email-masked]> wrote:
> On Mon, Jan 16, 2012 at 7:31 PM, Daniel Hartwig <[email-masked]> wrote:
>>
>> Nor are type errors mentioned by most other functions, they are simply
>> implied.  This convention is mentioned in the revised report [1]:
>>
>>  It is an error for an operation to be presented with an argument that it
>>  is not specified to handle.  For succinctness, we follow the convention
>>  that if an argument name is also the name of a type listed in section
>>  *note Disjointness of types::, then that argument must be of the named
>>  type.  For example, ...
>>
>> [1] http://people.csail.mit.edu/jaffer/r5rs_3.html#SEC11
>
>
> I see, convinced. Thanks for the feedback.
>
> You can mark it as invalid and close it.

Subject: unread-char and eof
From: Aleix Conchillo Flaqué <[email-masked]>
To: [email-masked]
Date: Thu, 12 Jan 2012 12:14:04 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Whenever eof is reach in a port, a call to unread-char passing eof
triggers an error. I'm not sure what's the right behavior for this,
but I guess the way it is now is just as the user should be
responsible to check eof.

A note in the documentation would help in any case.